Package org.eclipse.wst.xsl.core.internal.validation.eclipse

## org.eclipse.wst.xsl.core.internal.validation.eclipse
Class Validator

    public class Validator
    extends AbstractNestedValidator

The XSL validator extends the XML `AbstractNestedValidator`.

## Constructor Summary

`Validator()`

## Method Summary

`protected void` | `addInfoToMessage(ValidationMessage validationMessage , IMessage message)`
`public void` | `clean(IProject project , ValidationState state , IProgressMonitor monitor)`
`public ValidationResult` | `validate(IResource resource , int kind , ValidationState state , IProgressMonitor monitor)`
`public ValidationReport` | `validate(java.lang.String uri , java.io.InputStream inputstream , NestedValidatorContext context)`
`public IStatus` | `validateInJob(IValidationContext context , IReporter reporter)`

## Constructor Detail

## Validator

`public Validator()`

## Methods Detail

## addInfoToMessage

`protected void addInfoToMessage(ValidationMessage validationMessage , IMessage message)`

### Parameters

`validationMessage`

`message`

## clean

`public void clean(IProject project , ValidationState state , IProgressMonitor monitor)`

### Parameters

`project`

`state`

`monitor`

## validate

`public ValidationResult validate(IResource resource , int kind , ValidationState state , IProgressMonitor monitor)`

### Parameters

`resource`

`kind`

`state`

`monitor`

### Returns

`ValidationResult`

## validate

`public ValidationReport validate(java.lang.String uri , java.io.InputStream inputstream , NestedValidatorContext context)`

### Parameters

`uri`

`inputstream`

`context`

### Returns

`ValidationReport`

## validateInJob

`public IStatus validateInJob(IValidationContext context , IReporter reporter)`

### Parameters

`context`

`reporter`

### Returns

`IStatus`

### Throws:

`ValidationException`